import request from "/utils/request.js";
export function couponApi() { 
	return {
		// 获取优惠卷列表
		GetCouponList: (data) => {
			return request.request({
				url: '/ClientCoupon/GetCouponList',
				method: 'get',
				data,
			});
		},
		// 领取优惠卷
		DrawDownCoupon: (data) => {
			return request.request({
				url: '/ClientCoupon/DrawDownCoupon?couponCode='+data.couponCode,
				method: 'post',
				data,
			});
		},
		// 优惠卷弹窗
		GetNewUserCouponCode: (data) => {
			return request.request({
				url: '/ClientCoupon/GetNewUserCouponCode',
				method: 'get',
				data,
			});
		},
		// 美团优惠卷
		GetMeiTuanCodeByPhone: (data) => {
			return request.request({
				url: '/MeiTuan/GetMeiTuanCodeByPhone',
				method: 'get',
				data,
			});
		}
	};
}